org.keycloak.social.google

## Class GoogleIdentityProviderFactory

- java.lang.Object
- - org.keycloak.broker.provider.AbstractIdentityProviderFactory<GoogleIdentityProvider>
  - - org.keycloak.social.google.GoogleIdentityProviderFactory

- All Implemented Interfaces:
    IdentityProviderFactory<GoogleIdentityProvider>, SocialIdentityProviderFactory<GoogleIdentityProvider>, ProviderFactory<GoogleIdentityProvider>

      public class GoogleIdentityProviderFactory
      extends AbstractIdentityProviderFactory<GoogleIdentityProvider>
      implements SocialIdentityProviderFactory<GoogleIdentityProvider>

  Author:
    Pedro Igor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROVIDER_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GoogleIdentityProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GoogleIdentityProvider` | `create(KeycloakSession session, IdentityProviderModel model)` Creates an `IdentityProvider` based on the configuration contained in `model`.
    `GoogleIdentityProviderConfig` | `createConfig()` Creates a provider specific `IdentityProviderModel` instance.
    `String` | `getId()`
    `String` | `getName()` A friendly name for this factory.

    - ### Methods inherited from class org.keycloak.broker.provider.AbstractIdentityProviderFactory

      `close, create, init, parseConfig, postInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.broker.provider.IdentityProviderFactory

      `parseConfig`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `close, create, init, order, postInit`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GoogleIdentityProviderFactory

          public GoogleIdentityProviderFactory()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `IdentityProviderFactory`

      A friendly name for this factory.

      Specified by:
        `getName` in interface `IdentityProviderFactory<GoogleIdentityProvider>`
      Returns:

    - #### create

          public GoogleIdentityProvider create(KeycloakSession session,
                                               IdentityProviderModel model)

      Description copied from interface: `IdentityProviderFactory`

      Creates an `IdentityProvider` based on the configuration contained in `model`.

      Specified by:
        `create` in interface `IdentityProviderFactory<GoogleIdentityProvider>`
        `model` - The configuration to be used to create the identity provider.
      Returns:

    - #### createConfig

          public GoogleIdentityProviderConfig createConfig()

      Description copied from interface: `IdentityProviderFactory`

      Creates a provider specific `IdentityProviderModel` instance.

      Providers may want to implement their own `IdentityProviderModel` type so that validations can be performed when managing the provider configuration

      Specified by:
        `createConfig` in interface `IdentityProviderFactory<GoogleIdentityProvider>`
      Returns:
        the provider specific instance

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<GoogleIdentityProvider>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.